ATA_SCSI_START_STOP_(9)

NAME
ata_scsi_start_stop_xlat - Translate SCSI START STOP UNIT command

SYNOPSIS

unsigned int ata_scsi_start_stop_xlat(struct ata_queued_cmd * qc);

ARGUMENTS

qc
    Storage for translated ATA taskfile

DESCRIPTION

Sets up an ATA taskfile to issue STANDBY (to stop) or READ VERIFY (to start). Perhaps these commands should be preceded by CHECK POWER MODE to see what power mode the device is already in. [See SAT revision 5 at www.t10.org]

LOCKING

spin_lock_irqsave(host lock)

RETURNS

Zero on success, non-zero on error.

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT